%define packname car
%global packver 2.0
# Some R packages do not use packrel
%define packrel 22

%global __suggests_exclude ^R\\((MatrixModels|SparseM|alr4|leaps|lme4|pbkrtest|quantreg|rgl|survey)\\)

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          1
Source0:          http://cran.r-project.org/src/contrib/car_%{packver}-%{packrel}.tar.gz
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/car/index.html
Summary:          Companion to Applied Regression package for R
BuildRequires:    R-devel, tex(latex)
BuildArch:        noarch

%description
This package accompanies J. Fox, An R and S-PLUS Companion to Applied
Regression, Sage, 2002. The package contains mostly functions for applied
regression, linear models, and generalized linear models, with an emphasis on
regression diagnostics, particularly graphical diagnostic methods.  There are
also some utility functions. With some exceptions, it does not duplicate
capabilities in the basic distribution of R, nor in widely used packages.
Where relevant, the functions in car are consistent with na.action = na.omit
or na.exclude.

%prep
%setup -q -c -n %{packname}
# Fix permissions & encoding
find -type f | xargs chmod -x
iconv -f iso-8859-1 -t utf-8 < car/NEWS | tr -d '\r' > car/NEWS.utf-8
touch -r car/NEWS car/NEWS.utf-8
mv car/NEWS.utf-8 car/NEWS

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# No R-leaps
%{_bindir}/R CMD check --no-install %{packname}

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/doc/
%doc %{_datadir}/R/library/%{packname}/html/
%doc %{_datadir}/R/library/%{packname}/CITATION
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/NEWS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/help

%changelog
* Thu Jun 16 2022 misaka00251 <misaka00251@misakanet.cn> - 2.0.22-1
- Init package (Thanks to fedora team)
